Bug 105450 - Navigator dialog attached to the sidebar is greyed when it's launched
Summary: Navigator dialog attached to the sidebar is greyed when it's launched
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.1 rc
Hardware: All All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-01-20 12:22 UTC by Xisco Faulí
Modified: 2017-01-27 17:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-01-20 12:22:24 UTC
Steps:
1. Open Calc
2. Press F5
3. Attach the navigator dialog to the sidebar
4. Press F5 -> Navigator dialog in the sidebar dissapears
5. Press F5 again.

Observed behaviour: Navigator dialog in sidebar is greyed. it needs to be resized in order to display the elements. It doens't happen in Writer.
Comment 1 Xisco Faulí 2017-01-20 12:23:30 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-10-07 11:09:24 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-10-07 20:16:56 (GMT)
commit	141a4ac1d21121a4e46470c797c6fce741151fee (patch)
tree	48a884e20b422433577f5e481067576246ec0b66
parent	6e14f159b4fd13f8760ab19496f1e465a19c28e8 (diff)
convert calc navigator to .ui format

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2017-01-20 12:24:17 UTC
Reproduced with gtk, gtk3 and gen...
Comment 3 Commit Notification 2017-01-24 15:14:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b37ac48935621fcc7b71f81a8b892f24e85e5b6f

Resolves: tdf#105450 calc navigator gets 0 height on toggle off/on when docked

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2017-01-24 15:17:01 UTC
backport to 5-3 in gerrit
Comment 5 Commit Notification 2017-01-27 17:43:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cfda5204184fa937a948b3d273ac1083896bcc7&h=libreoffice-5-3

Resolves: tdf#105450 calc navigator gets 0 height on toggle off/on when docked

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.